package main

import (
	"backea/internal/backup"
	"backea/internal/server"
	"log"
	"os"
)

func main() {
	// Get port from environment or use default
	port := os.Getenv("PORT")
	if port == "" {
		port = "8080"
	}

	// Create backup factory
	backupFactory, _ := backup.NewBackupFactory("config.yml")

	// Initialize and start the server
	srv := server.New(backupFactory)
	log.Printf("Starting server on port %s", port)
	if err := srv.Start(":" + port); err != nil {
		log.Fatalf("Failed to start server: %v", err)
	}
}
